html {
	--text-font-size: 18px;
	--code-font-size: 16px;
	--text-font-size-print: 11pt;
	--code-font-size-print: 10pt;

	--light-mode-color: #222;
	--light-mode-code-color: #222;
	--light-mode-page-background: #e5e3e1;
	--light-mode-overall-background: #e5e3e1;
	--light-mode-link-color: #225ea8;
	--light-mode-text-accents: #bd0026;
	--light-mode-meta-color: #5c6a72;

	--dark-mode-color: #d3c6aa;
	--dark-mode-code-color: #d3c6aa;
	--dark-mode-overall-background: #1e2326;
	--dark-mode-code-background: #2e383c;
	--dark-mode-page-background: #272E33;
	--dark-mode-link-color: #7fbbb3;
	--dark-mode-text-accents:#E67e80;
	--dark-mode-meta-color: #9da9a0;
}

@media screen {
	html {
		font-size: var(--text-font-size);
	}

	pre, code {
		font-size: var(--code-font-size);
	}

	body {
		-webkit-text-size-adjust: 100%;
		color: var(--light-mode-color);
		background-color: var(--light-mode-overall-background);
	}

	div.page-area {
		background-color: var(--light-mode-page-background);
	}

	a {
		color: var(--light-mode-link-color);
	}

	pre, code {
		background-color: var(--light-mode-overall-background);
		color: var(--light-mode-code-color);
	}

	h2, h3, h4, h5, h6 {
		color: var(--light-mode-text-accents);
	}

	blockquote {
		border-color: var(--light-mode-text-accents);
	}

	.entry-meta {
		color: var(--light-mode-meta-color);
	}
}

@media print {
	html {
		font-size: var(--text-font-size-print);
	}

	pre, code {
		font-size: var(--code-font-size-print);
	}

	body {
		background-color: white;
		color: black;
	}

	a {
		color: #0A7CCF;
	}
}

@media screen and (prefers-color-scheme: dark) {
	body {
		background-color: var(--dark-mode-overall-background);
		color: var(--dark-mode-color);
	}

	div.page-area {
		background-color: var(--dark-mode-page-background);
	}

	a {
		color: var(--dark-mode-link-color);
	}

	pre, code {
		background-color: var(--dark-mode-code-background);
		color: var(--dark-mode-code-color);
	}

	h2, h3, h4, h5, h6 {
		color: var(--dark-mode-text-accents);
	}

	blockquote {
		border-color: var(--dark-mode-text-accents);
	}

	.entry-meta {
		color: var(--dark-mode-meta-color);
	}
}

@page {
	margin: 1cm;
}

body {
	font-family: charter, bitstream charter, sitka, Georgia, serif;
	line-height: 1.5;
	text-rendering: optimizeLegibility;
}

strong, b {
	font-weight: 700;
}

h1 {
	font-size: 2em;
	font-weight: 400;
	letter-spacing: -0.005em;
	line-height: 1.2;
}

h2 { font-size: 1.1em; }
h3, h4, h5,
h6 { font-size: 1em; }

h1, h2, h3, h4, h5, h6 {
	margin-top: 18px;
	margin-bottom: 0;
}

h2, h3, h4, h5, h6 {
	font-weight: 700;
}

img {
	max-width: 100%;
	height: auto;
	vertical-align: middle;
	border: 0;
}

header,
footer {
	margin: 18px 0;
	text-align: center;
}

div.page-area {
	max-width: 990px;
	margin: 0 auto;
}

div.container {
	width: 85%;
	max-width: 690px;
	margin: 0 auto;
	padding: 10px 0;
}

header table {
	margin: 16px 0 9px 0;
	text-align: left;
	font-size: 0.9rem;
}

blockquote {
	font-style: italic;
	border-left-width: 5px;
	border-left-style: solid;
}

main {
	margin: 24px 0;
}

.tags, .meta, .posts b, .pages {
	font-size: 0.9rem;
}

div.tags {
	display: block;
	text-align: left;
}

span.tag {
	display: inline-block;
	margin-right: 9px;
}

ul.tags {
	list-style-type: none;
	display: inline-block;
	padding-left: 0;
	margin-top: 0;
	margin-bottom: 0;
}

ul.tags > li {
	display: inline-block;
	margin-right: 7px;
}

.header-logo img {
	width: 60px;
	height: 60px;
	border-radius: 50%;
	border: 4px solid #E1E1E1;
}

.header-logo img:hover {
	border-color: #F1F1F1;
}

.site-title {
	margin-top: 36px;
}

.entry-title {
	margin-bottom: 0;
}

.entry-title a {
	text-decoration: none;
}

.entry-meta {
	display: inline-block;
	margin-bottom: 0;
	font-weight: 700;
	font-size: 1em;
}

footer, .footnotes, span.caption, figcaption {
	font-size: 0.8em;
	letter-spacing: 0.015em;
}

.footnotes > ol p {
	margin: 10px 0;
}

span.caption {
	display: block;
}

header table, .footnotes, figcaption {
	line-height: 1.4;
}

.footnotes code {
	font-size: calc(var(--code-font-size) / var(--text-font-size));
}

.footer-link {
	margin: 5px 0;
}

.footer-link a {
	margin: 0px 2px;
}

div.posts, div.tags, div.pages {
	margin-top: 10px;
}

div.license {
	font-size: 0.8em;
	letter-spacing: 0.015em;
}

.hr {
	height: 1px;
	margin: 20px 0;
	background: #E1E1E1;
}

pre, code {
	font-family: Consolas, Menlo, monospace;
	line-height: 1.5;
	overflow-x: auto;
}

sup {
	font-weight: 700;
	line-height: 1;
	font-style: normal;
}

sup.b {
	font-weight: 400;
}
body {
	font-family: monitor web, Verdana, dejavu sans, sans-serif;
	line-height: 1.6875;
}

/* line height adjustment */

h1 {
	font-size: 31px;
	line-height: 1.1875;
	font-family: graphik web, monitor web, Verdana, dejavu sans, sans-serif;
}

h2.entry-title, header h2 {
	font-size: 1.1em;
	line-height: 1.55;
	font-variant-caps: unset;
	letter-spacing: unset;
	text-transform: unset;
}

h2.entry-title {
	font-weight: 400;
}

h2, h3, h4 {
	font-weight: 400;
	letter-spacing: 0.04em;
	text-transform: uppercase;
	font-family: graphik web, monitor web, Verdana, dejavu sans, sans-serif;
}

header p {
	text-align: left;
}

header table, .footnotes, figcaption {
	line-height: 1.375;
}

ul {
	line-height: 1.7;
}

footer, .footnotes, span.caption, figcaption {
	font-size: 0.8125em;
	letter-spacing: 0.015625em;
}

blockquote {
	border: unset;
}

@media screen {
	body {
		/* tssk, Apple */
		-moz-osx-font-smoothing: grayscale;
		-webkit-font-smoothing: antialiased;
		-webkit-text-size-adjust: 100%;
	}
}

html {
	--text-font-size: 17.875px;
	--light-mode-color: #222;
	--dark-mode-color: #d3c6aa;
	--light-mode-overall-background: #e9e9e9;
	--light-mode-page-background: #e9e9e9;
	--light-mode-text-accents: #bd0026;
	--light-mode-link-color: #225ea8;
	--dark-mode-page-background: #2d353b;
	--dark-mode-overall-background: #2d353b;
	--light-mode-meta-color: #4c5a62;

/* use defaults from theme
	--text-font-size: 18px;
	--code-font-size: 16px;
	--text-font-size-print: 11pt;
	--code-font-size-print: 10pt;
*/

/*  use defaults from theme
	--light-mode-color: #222;
	--light-mode-code-color: #000;
	--light-mode-background: #fafaf7;;
	--light-mode-code-background: #eaeae7;
*/

/*   use defaults from theme
	--dark-mode-color: #95A0C9;
	--dark-mode-code-color: #b0c5ef;
	--dark-mode-background: #25283B;
	--dark-mode-code-background: #35384B;
	--dark-mode-overall-background: #15182B;
*/
}

th {
	text-align: left;
}

div.container {
	max-width: 720px;
}

.gccolumn {
	width: 48%;
	min-width: 250px;
	display: inline-block;
	vertical-align: top;
}

#bigImage {
	position: fixed;
	display: none;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0,0,0,0.5);
	z-index: 2;
	cursor: pointer;
}

#imgtext {
	position: absolute;
	top: 1em;
	left: 1em;
	color:ivory;
	font-weight: bold;
}

#expandedImg {
	position: absolute;
	top: 3em;
	left: 1em;
	object-fit: scale-down;
}

div.gallery {
	margin-top: 10px;
}

.gallery figure {
	display: inline-grid;
	margin: 10px;
	vertical-align: middle;
	max-width: 200px;
}

.gallery figure img {
	cursor: pointer;
}

img.bigmap {
	max-width: unset;
}

@font-face{
	font-family: 'monitor web';
	font-style: normal;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/MonitorTT-Normal.woff2') format('woff2'),
		url('/fonts/MonitorTT-Normal.woff') format('woff');
}

@font-face{
	font-family: 'monitor web';
	font-style: italic;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/MonitorTT-NormalItalic.woff2') format('woff2'),
		url('/fonts/MonitorTT-NormalItalic.woff') format('woff');
}

@font-face{
	font-family: 'monitor web';
	font-style: normal;
	font-weight: bold;
	font-stretch: normal;
	src: url('/fonts/MonitorTT-Bold.woff2') format('woff2'),
		url('/fonts/MonitorTT-Bold.woff') format('woff');
}


@font-face{
	font-family: 'graphik web';
	font-style: normal;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/Graphik-Regular-Web.woff2') format('woff2'),
		url('/fonts/Graphik-Regular-Web.woff') format('woff');
}

@font-face{
	font-family: 'graphik web';
	font-style: italic;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/Graphik-RegularItalic-Web.woff2') format('woff2'),
		url('/fonts/Graphik-RegularItalic-Web.woff') format('woff');
}

@font-face{
	font-family: 'graphik web';
	font-style: normal;
	font-weight: bold;
	font-stretch: normal;
	src: url('/fonts/Graphik-Semibold-Web.woff2') format('woff2'),
		url('/fonts/Graphik-Semibold-Web.woff') format('woff');
}

@font-face{
	font-family: 'curiosa web';
	font-style: normal;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/Curiosa-Regular.woff2') format('woff2'),
		url('/fonts/Curiosa-Regular.woff') format('woff');
}

@font-face{
	font-family: 'curiosa web';
	font-style: italic;
	font-weight: normal;
	font-stretch: normal;
	src: url('/fonts/Curiosa-Italic.woff2') format('woff2'),
		url('/fonts/Curiosa-Italic.woff') format('woff');
}

@font-face{
	font-family: 'curiosa web';
	font-style: normal;
	font-weight: bold;
	font-stretch: normal;
	src: url('/fonts/Curiosa-Bold.woff2') format('woff2'),
		url('/fonts/Curiosa-Bold.woff') format('woff');
}
